- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy > Struct Template Reference

`#include <BD_String_SArgument_T.h>`

List of all members.

## Public Types
typedef T * | ret_type
typedef const T * | in_type
typedef T *& | inout_type
typedef T_out | out_type
typedef In_BD_String_SArgument_T< T, T_var, to_T, from_T, BOUND, Insert_Policy > | in_arg_val
typedef Inout_BD_String_SArgument_T< T, T_var, to_T, from_T, BOUND, Insert_Policy > | inout_arg_val
typedef Out_BD_String_SArgument_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy > | out_arg_val
typedef Ret_BD_String_SArgument_T< T, T_var, to_T, from_T, BOUND, Insert_Policy > | ret_val
typedef in_type | in_arg_type
typedef inout_type | inout_arg_type
typedef inout_type | out_arg_type
typedef inout_type | ret_arg_type

### template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND, typename Insert_Policy>
struct TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy >

## Member Typedef Documentation

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND, typename Insert_Policy>

typedef in_type TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy >::in_arg_type

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND, typename Insert_Policy>

typedef In_BD_String_SArgument_T<T, T_var, to_T, from_T, BOUND, Insert_Policy> TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy >::in_arg_val

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND, typename Insert_Policy>

typedef const T* TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy >::in_type

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND, typename Insert_Policy>

typedef inout_type TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy >::inout_arg_type

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND, typename Insert_Policy>

typedef Inout_BD_String_SArgument_T<T, T_var, to_T, from_T, BOUND, Insert_Policy> TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy >::inout_arg_val

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND, typename Insert_Policy>

typedef T*& TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy >::inout_type

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND, typename Insert_Policy>

typedef inout_type TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy >::out_arg_type

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND, typename Insert_Policy>

typedef Out_BD_String_SArgument_T<T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy> TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy >::out_arg_val

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND, typename Insert_Policy>

typedef T_out TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy >::out_type

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND, typename Insert_Policy>

typedef inout_type TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy >::ret_arg_type

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND, typename Insert_Policy>

typedef T* TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy >::ret_type

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND, typename Insert_Policy>

typedef Ret_BD_String_SArgument_T<T, T_var, to_T, from_T, BOUND, Insert_Policy> TAO::BD_String_SArg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy >::ret_val

The documentation for this struct was generated from the following file:

- BD_String_SArgument_T.h